Comment 2 for bug 1756426

This is really a general policy issue. Ubuntu default policy is that packages should have their recommends installed by default.

I agree that the lack of 'grub-legacy-ec2' not being present in a squashfs image does not seem like a major omission. However, I suggest that "Official Ubuntu Images" not following an Ubuntu policy *is* a "major omission".

The change you've pointed to seems like a "quick fix" that was thrown in without thought.